Bug 90191 - data older than bdflush interval stays in memory till journal is full
data older than bdflush interval stays in memory till journal is full
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
https://listman.redhat.com/pipermail/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-05 05:06 EDT by Yusuf Goolamabbas
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yusuf Goolamabbas 2003-05-05 05:06:17 EDT
Description of problem:

The problem is best described in this thread to ext3-users

https://listman.redhat.com/pipermail/ext3-users/2003-May/005084.html

As Neil Brown says, that this is due to a kernel bug where data older than
bdflush stays in memory till journal is full, I believe this is fixed by akpm
via the introduction of jbd_refile_buffer in fs/jbd/transaction.c but so far no
errata has been released which incorporates this fix.

Version-Release number of selected component (if applicable):

Redhat Linux 7.3 running kernel 2.4.18-27 and activating the 3ware highmem-io
patch in the spec file

How reproducible:

Every time

Steps to Reproduce:

1. 
2.
3.
    
Actual results:

Have periodic stalls on the machine every few minutes when there is massive
writeout to this disk

Expected results:

Would see bdflush interval being honoured by kernel and not experience such
massive writeouts

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:40:52 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.